Package com.orchestranetworks.ui

# Class UIHttpManagerComponent.ViewFeatures

java.lang.Object
com.orchestranetworks.ui.UIHttpManagerComponent.ViewFeatures

Enclosing class:
  UIHttpManagerComponent

public static final class UIHttpManagerComponent.ViewFeatures extends Object
Constants for features available in tables and hierarchies.

Since:
  5.4.0
See Also:
  - `UIHttpManagerComponent.showAllViewFeatures()`
  - `UIHttpManagerComponent.showViewFeature(String)`
  - `UIHttpManagerComponent.showViewFeatures(List)`
  - `UIHttpManagerComponent.hideAllViewFeatures()`
  - `UIHttpManagerComponent.hideViewFeature(String)`
  - `UIHttpManagerComponent.hideViewFeatures(List)`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ADVANCED_SORT`
  Sort actions.
  `static final String`
  `BREADCRUMB`
  Deprecated.
  This constant is no longer used.
  `static final String`
  `CREATE`
  Create new record button.
  `static final String`
  `FILTER`
  Filters pane and button.
  `static final String`
  `REFRESH`
  "Refresh" buttons.
  `static final String`
  `SEARCH_PANE`
  Workspace search pane.
  `static final String`
  `SELECTION`
  Record selection check box and actions in "Actions" and "Services" menu buttons.
  `static final String`
  `SERVICES`
  "Actions" and "Services" menu buttons.
  `static final String`
  `TITLE`
  Workspace title bar.
  `static final String`
  `VIEW`
  "Views" menu button.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ViewFeatures()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CREATE

    public static final String CREATE
    Create new record button.

    Value is `create`.

  - ### FILTER

    public static final String FILTER
    Filters pane and button.

    Value is `filters`.

  - ### VIEW

    public static final String VIEW
    "Views" menu button.

    Value is `views`.

  - ### ADVANCED_SORT

    public static final String ADVANCED_SORT
    Sort actions.

    Value is `advancedSort`.

  - ### SERVICES

    public static final String SERVICES
    "Actions" and "Services" menu buttons.

    Value is `services`.

  - ### SELECTION

    public static final String SELECTION
    Record selection check box and actions in "Actions" and "Services" menu buttons.

    Value is `selection`.

  - ### REFRESH

    public static final String REFRESH
    "Refresh" buttons.

    Value is `refresh`.

    Not yet available. For future evolution.

  - ### TITLE

    public static final String TITLE
    Workspace title bar. Note that the "help" button button are part of the title bar.

    Value is `title`.

  - ### SEARCH_PANE

    public static final String SEARCH_PANE
    Workspace search pane.

    Value is `search_pane`.

  - ### BREADCRUMB

    @Deprecated public static final String BREADCRUMB
    Deprecated.
    This constant is no longer used.
    Navigation bread crumb.

    Value is `breadcrumb`.

- ## Constructor Details

  - ### ViewFeatures

    public ViewFeatures()